Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: e2fsck vernieuwen  (gelezen 730 keer)

Offline Cme

  • Lid
  • Steunpunt: Nee
e2fsck vernieuwen
« Gepost op: 2019/02/01, 16:01:24 »
Besten,
Een probleem met de versies hoger dan 16.04 LTS.
De (X-) Ubuntu 18... en Mint 19 geven een melding voor het vernieuwen van de e2fsck  (17 series ken ik niet).

Er worden verschillende aanwijzingen gegeven, oa.: sudo fsck -f /dev/sda3
me@cme-u18:~$ sudo fsck -f /dev/sda3
[sudo] wachtwoord voor cme:
'fsck' uit util-linux 2.31.1
e2fsck 1.44.1 (24-Mar-2018)
/dev/sda3 is aangekoppeld.
e2fsck: Kan niet doorgaan.  Gestopt.
Melding komt ook in Geavanceerde opties/Recovery mode/Root Access/sudo fsck -f /  ...
e2fsck: Kan niet doorgaan.  Gestopt.

Een andere aanbeveling is:
    Download the latest version (1.44.5) from http://e2fsprogs.sourceforge.net/ and unpack in a directory and cd into it.
 
According to the INSTALL document:
  $:  mkdir build; cd build
       ../configure
       make
      sudo make install

      ../configure ? Is geen commando in de Terminal, wat wel?:

cme@cme-u18:~$ mkdir build; cd build
cme@cme-u18:~/build$

Alvast bedankt,
Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #1 Gepost op: 2019/02/01, 17:40:49 »
Waarschijnlijk bedoel je datgene wat ik ook al een keer gemeld (en opgelost) hebt:

https://forum.ubuntu-nl.org/index.php?topic=104425.msg1023847#msg1023847

Verder kan je natuurlijk nooit een gemount filesysteem met fsck checken en repareren.

Offline Cme

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #2 Gepost op: 2019/02/02, 12:13:49 »
Hoi Aartje, dank voor de verwijzing naar je opgeloste melding.
Mijn vraag betreft ../configure, dat begrijp ik niet, waar en wat doe ik ermee?
Graag enige uitleg, helaas heb ik dat nodig.
Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #3 Gepost op: 2019/02/03, 09:47:31 »
Hoi Aartje, dank voor de verwijzing naar je opgeloste melding.
Mijn vraag betreft ../configure, dat begrijp ik niet, waar en wat doe ik ermee?
Graag enige uitleg, helaas heb ik dat nodig.
In da andere topic had ik gemeld:

============================================================
Ik heb de sources van e2fsprogs 1.44-4 gedownload in Mint 17.3, ze gecompileerd en toen de binaries ge-installeerd
volgens de gebruiksaanwijzing:

tar -xvf e2fsprogs-1.44.4.tar.gz
cd e2fsprogs-1.44.4/
mkdir build
cd build
../configure
make
make check

en toen :

sudo make install

Toen een herstart van het systeem en toen kon ik het root-filesysteem van mint 19 wel fsck-en onder mint 17.3
====================================================================================

De sources had ik gedownload van:

https://sourceforge.net/projects/e2fsprogs/files/e2fsprogs/v1.44.5/e2fsprogs-1.44.5.tar.gz/download?use_mirror=datapacket

Als het goed is staat er dan in je Download-directory "e2fsprogs-1.44.5.tar.gz"

Start een terminalwindow. Ga naar je download directory :

cd Downloads

Pak de package uit met het volgende commando :

tar -xvf e2fsprogs-1.44.5.tar.gz

Ga naar de subdirectory door het volgende commando :

cd e2fsprogs-1.44.5/

Geef de volgende commando's via copy/paste in je terminalwindow :

mkdir build
cd build
../configure
make
make check

Als het goed is zal je computer een paar minuten bezig zijn met compileren en testen van de afhankelijkheden.
Dit doe je allemaal onder je eigen gebruikersnaam en er kan dus niets met je systeem fout gaan omdat je
nog nergens een "sudo" hebt gedaan.
Je hoort op het laatst zo iets te zien  als:

u_undo_undo: undo e2undo: ok
u_wrong_fs: e2undo on the wrong fs: ok
354 tests succeeded   0 tests failed
Creating test_script...
make[1]: Map '/home/aartje/Downloads/e2fsprogs-1.44.5/build/tests' wordt verlaten

Hierbij is "aartje" natuurlijk jouw loginnaam.
Nu ga je het programma installeren door :


sudo make install

En nu wordt het programma ge-installeerd. Herstart je computer (voor de zekerheid, ik weet niet of het
echt nodig is)
Laat je niet inde war maken door de verschillende versies in deze tekst (1.44.4 en 1.44.5).
Toen ik de nieuwe versie installeerde was er versie 1.44.4 en nu is er dus 1.44.5











« Laatst bewerkt op: 2019/02/03, 09:54:14 door aartje »

Offline Cme

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #4 Gepost op: 2019/02/04, 13:58:34 »
Hallo Aartje, bedankt voor je uitgebreide uitleg hoe te installeren. Ik kom een stuk verder maar... helaas toch een obstakel bij ../configure.

In het kort: Ging naar de map waar ik wilde installeren, daar uitgepakt. Hierna naar de subdirectory met: cd e2fsprogs-1.44.5/
 hierna:’  mkdir build  cd build’
Dat ging maar het commando ../configure gaf een error….
configure: error: in `/home/cme/Install/e2fsck/e2fsprogs-1.44.5/build':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details
Config.log:
Config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.69.  Invocation command line was

## Platform. ##

hostname = cme-u18
uname -m = x86_64
uname -r = 4.15.0-45-generic
uname -s = Linux
uname -v = #48-Ubuntu SMP Tue Jan 29 16:28:13 UTC 2019

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /usr/games
PATH: /usr/local/games
PATH: /snap/bin

##Core tests###

configure:2810: result: Generating configuration file for e2fsprogs version 1.44.5
configure:2812: result: Release date is December, 2018
configure:2838: checking build system type
configure:2852: result: x86_64-pc-linux-gnu
configure:2872: checking host system type
configure:2885: result: x86_64-pc-linux-gnu
configure:2954: checking for gcc
configure:2984: result: no
configure:3047: checking for cc
configure:3094: result: no
configure:3150: checking for cl.exe
configure:3180: result: no
configure:3204: error: in `/home/cme/Install/e2fsck/e2fsprogs-1.44.5/build':
configure:3206: error: no acceptable C compiler found in $PATH

#Cache variables#   
… en nog veel meer

Het installeren: (de opbouw)   (oja, ik gebruik een andere map dan 'Downloads', maakt niet uit want dezelfde error treedt op (in de map Downloads).

cme@cme-u18:~/Install/e2fsck$
cme@cme-u18:~/Install/e2fsck$ tar -xvf e2fsprogs-1.44.5.tar.gz
e2fsprogs-1.44.5/
e2fsprogs-1.44.5/.gitignore
#enz......
cme@cme-u18:~/Install/e2fsck$ cd e2fsprogs-1.44.5/
cme@cme-u18:~/Install/e2fsck/e2fsprogs-1.44.5$ mkdir build
cme@cme-u18:~/Install/e2fsck/e2fsprogs-1.44.5$ cd build
cme@cme-u18:~/Install/e2fsck/e2fsprogs-1.44.5/build$ ../configure
Generating configuration file for e2fsprogs version 1.44.5
Release date is December, 2018
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/home/cme/Install/e2fsck/e2fsprogs-1.44.5/build':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details
Hoe of wat betekent dit allemaal? 
Jouw installatie verliep vlekkeloos, wat raadt je me aan te doen?
Met groet,
Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #5 Gepost op: 2019/02/04, 14:19:52 »
Wat aanzienlijk makkelijker is (en beter, want je hoeft er niks voor te compileren of zelfs maar te installeren):
https://makkelijkelinuxtips.blogspot.com/p/tips-1.html#ID4
(punt 4)
« Laatst bewerkt op: 2019/02/04, 16:00:20 door Pjotr »

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Ja
Re: e2fsck vernieuwen
« Reactie #6 Gepost op: 2019/02/04, 15:49:33 »
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/home/cme/Install/e2fsck/e2fsprogs-1.44.5/build':
configure: error: no acceptable C compiler found in $PATH
Hallo, dat betekent dat je geen ontwikkelomgeving (C-compiler, linker, debugger etc.) hebt geïnstalleerd. Dat hoef je ook helemaal niet, want je probleem zit in je eerste regel: je probeert een filesystem check (fsck) uit te voeren op een partitie die is aangekoppeld (zoals elders in deze draad ook al gemeld) - en dat kan niet!

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #7 Gepost op: 2019/02/04, 19:36:42 »
Maar de TS zei ook
Melding komt ook in Geavanceerde opties/Recovery mode/Root Access/sudo fsck f /  ...
Als daarmee wordt bedoelt Geavanceerde opties in het grub menu (Recovery mode) en in het Recovery Menu root selecteert gevolgd door twee maal drukken op de Entertoets, dan wordt er alleen read-only gemount. Dat kun je controleren met het commando mount
Dan zou er zo een soort regel in behoren te worden getoond /dev/sdXX on / type ext4 (ro,relatime,data=ordered)
Alleen staat er dan in de plaats van XX het device van de root. Als in die regel ro staat, kun je wel fsck uitvoeren. En omdat je daar al root bent, is sudo niet nodig.
Hoofd PC januari 2018 HP Compaq Elite 8300 SFF Windows 10 & Xubuntu 18.04.1
PC 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Linux Mint 18.3 & Debian 9.0.1 
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM

Offline h2o

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #8 Gepost op: 2019/02/05, 08:48:27 »
Voor zulke zaken kun je ook de SystemrescueCD gebruiken.http://www.system-rescue-cd.org/Download/
Of Ubuntu vanaf een LiveCD sessie laten draaien.
Laptops + werkstations: Debian Stable + backports, server Debian Stable.
Test-laptop: Debian Testing/Unstable

Offline Cme

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #9 Gepost op: 2019/02/05, 16:42:23 »
  Ik ben blij met jullie reacties, helaas nog niet gelukt..

   @Pjotr
Op  https://makkelijkelinuxtips.blogspot.com/p/tips-1.html#ID4
gekeken naar man tune2fs maar ik weet er geen juiste opdracht van te maken, ik denk dat -e [-e rrors_behavior] er een zou kunnen zijn.
Hoe naar /dev/sda3  laten gaan? man tune2fs
------
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/home/cme/Install/e2fsck/e2fsprogs-1.44.5/build':
configure: error: no acceptable C compiler found in $PATH[quote author=Paul Matthijsse link=topic=104942.msg1028716#msg1028716 date=1549291773]
[quote author=Cme link=topic=104942.msg1028714#msg1028714 date=1549285114]
[code]
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/home/cme/Install/e2fsck/e2fsprogs-1.44.5/build':
configure: error: no acceptable C compiler found in $PATH
Hallo, dat betekent dat je geen ontwikkelomgeving (C-compiler, linker, debugger etc.) hebt geïnstalleerd. Dat hoef je ook helemaal niet, want je probleem zit in je eerste regel: je probeert een filesystem check (fsck) uit te voeren op een partitie die is aangekoppeld (zoals elders in deze draad ook al gemeld) - en dat kan niet!
[/quote]
Hallo, dat betekent dat je geen ontwikkelomgeving (C-compiler, linker, debugger etc.) hebt geïnstalleerd. Dat hoef je ook helemaal niet, want je probleem zit in je eerste regel: je probeert een filesystem check (fsck) uit te voeren op een partitie die is aangekoppeld (zoals elders in deze draad ook al gemeld) - en dat kan niet!
   
   @Paul Matthijsse Ik heb het niet duidelijk uitgelegd. Dit is gedaan met de LiveUSB en het resultaat daarvan getoond.
-----------
   
@Jolo  Citaat van: Cme op 2019/02/01, 16:01:24

Melding komt ook in Geavanceerde opties/Recovery mode/Root Access/sudo fsck f /  ...

Als daarmee wordt bedoelt Geavanceerde opties in het grub menu (Recovery mode) en in het Recovery Menu root selecteert gevolgd door twee maal drukken op de Entertoets, dan wordt er alleen read-only gemount. Dat kun je controleren met het commando mount
Dan zou er zo een soort regel in behoren te worden getoond
 /dev/sda3 on / type ext4 (ro,relatime,data=ordered)
Als in die regel ro staat, kun je wel fsck uitvoeren. En omdat je daar al root bent, is sudo niet nodig.   

        Hoi Jolo, Aldaar het commando mount gegeven, een monitor vol met rw meldingen, nergens ro: 1e regel:   cgroep on /sys/fs/cgroup/rdma type cgrou (rw, nosaid, nodev, noexec, relatime, rdma)laatste regel: fusectl on /sys/fs/fuse/connections type fusectl (rw, relatime)Na Enter verscheen: root@cme-u18: #sudo fsck -f Na Enter: 'fsck' uit util-linux 2.31.2
  e2fsck 1.44.1 (24-Mar-2018)
          /dev/sda3 is aangekoppeld.
          e2fsck: Kan niet doorgaan.    Gestopt.
()
 Helaas
Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #10 Gepost op: 2019/02/05, 19:58:46 »
Ben je er wel zeker van dat je in het Recovery Menu zit. Zie deze Recovery Menu afbeelding



Daar staat als het goed is: Recovery Menu (filesystem state: read-only)

Als je minder output wilt met commando mount dan zou je die in combinatie kunnen gebruiken met het grep commando. Namelijk zo
mount | grep ext4 [Enter]

Er vanuit gaande dat je root partitie ext4 is. Lukt dat niet, dan valt inderdaad de genoemde optie van h20 te overwegen.
Hoofd PC januari 2018 HP Compaq Elite 8300 SFF Windows 10 & Xubuntu 18.04.1
PC 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Linux Mint 18.3 & Debian 9.0.1 
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM

Offline Cme

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #11 Gepost op: 2019/02/06, 16:18:01 »
Ben je er wel zeker van dat je in het Recovery Menu zit. Zie deze Recovery Menu afbeelding
Als je minder output wilt met commando mount dan zou je die in combinatie kunnen gebruiken met het grep commando. Namelijk zo
mount | grep ext4 Er vanuit gaande dat je root partitie ext4 is. Lukt dat niet, dan valt inderdaad de genoemde optie van h20 te overwegen.

@Jolo Jazeker zat ik in de root van het Recovery Menu.
Nu  aldaar achter 'mount' | grep ext 4 gezet:
/dev/sda3 on tupe ext4 (rw, relatime, errors=remount -ro,data=ordered)in de regel staat -ro, waar je op doelde, hierna
sudo fsck -f / hiermee wordt /dev/sda3 aangekoppeld maar met de melding:
e2fsck: Kan niet doorgaan. Gestopt.Het gaat mij erom e2fsck op e.o.a. manier te laten doorgaan.

GParted als voorbeeld werkt niet, er is maar 1 partitie, net als  bij alle andere disto's na 16.04 op deze Lenovo, net als in Mint 19, Xubuntu 18.

Ubunt 16.04 geeft wel alle partities weer maar het vergroten van bv. Ubuntu18.04 levert de error: vernieuwen van e2fsck!

Daarom denk ik dat een Sytemrescue niets uithaalt, alle nieuwere distro's geven immers de zelfde melding: Gestopt. e2fsck vernieuwen.
Wat nu.
Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: e2fsck vernieuwen
« Reactie #12 Gepost op: 2019/02/06, 16:23:47 »
(e2)fsck kan niet op een aangekoppelde partitie, tenzij je de -n parameter meegeeft. Let wel dat wijzigingen aan het bestandssysteem tijdens deze fsck kunnen foute resultaten tonen.

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #13 Gepost op: 2019/02/06, 17:37:10 »
/dev/sda3 on tupe ext4 (rw, relatime, errors=remount -ro,data=ordered) in de regel staat -ro, waar je op doelde


Maar daarin staat ook rw die er niet in voor mag komen, als je fsck wilt uitvoeren. Als je wel die afbeelding uit mijn vorig bericht op het scherm hebt gezien, en daarna direct root hebt geselecteerd, dan heb ik er niet echt een verklaring voor waarom je systeem rw mount.

Als pc opgestart is vanaf een live cd, zoals een SystemrescueCD 6.0.0 en net zoals hier de root promt te zien krijgt [root@sysresccd ~] # en commando df toont geen output van je harddisk, dan kun je gewoon fsck uitvoeren. Maar dan wel, zoals je in je startpost al deed, met het correcte device van je harddisk. Bijvoorbeeld fsck -f /dev/sda3 [Enter]

Check het correcte device eventueel met commando fdisk -l [Enter]
Hoofd PC januari 2018 HP Compaq Elite 8300 SFF Windows 10 & Xubuntu 18.04.1
PC 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Linux Mint 18.3 & Debian 9.0.1 
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM

Offline jan11000

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #14 Gepost op: 2019/02/07, 09:12:59 »
Probeer met je livecd van je ubuntu versie die je gebruikt, of nieuwere versie.
Boot vanaf deze iso.
Start gparted.

Kun je nu alle partities zien , in de pulldown menu, rechts?

Kies de schijf rechts boven.
Dan in de balk kies de partitie waar je fsck op wilt uitvoeren.
Dan unmount(ontkoppel) indien nodig de harde schijf, ook via rechts klik op partitie.
Dan rechts klik op de partitie, dan is er een keus " check", dit is fsck.
Dan boven in gparted uitvoeren klikken.
En je bent klaar, en alles grafisch  uitgevoerd.


En software zo met de hand installeren moet vermijden, je hele systeem kan door elkaar gaan, en tegenwoordig is dit bijna niet meer nodig, dus eigenlijk nooit.

Offline Cme

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #15 Gepost op: 2019/02/07, 14:34:55 »
@Nero
Citaat
« Reactie #12 Nero. Gepost op: Gisteren om 16:23:47 »

(e2)fsck kan niet op een aangekoppelde partitie, tenzij je de -n parameter meegeeft.
Let wel dat wijzigingen aan het bestandssysteem tijdens deze fsck kunnen foute resultaten tonen.
       
Gebruik gemaakt van de Live-CD, lees hierboven. Het gaat mij niet om aankoppelen maar om de melding betreft e2fsck
-----------     
@Jolo:
Citaat
Geplaatst door: jolo
« Gepost op: Gisteren om 17:37:10 »
Maar daarin staat ook rw die er niet in voor mag komen, als je fsck wilt uitvoeren. Als je wel die afbeelding uit mijn vorig bericht op het scherm hebt gezien, en daarna direct root hebt geselecteerd, dan heb ik er niet echt een verklaring voor waarom je systeem rw mount.
Van-uit bedoelde root gedaan.
Citaat Jolo:
Citaat
Als pc opgestart is vanaf een live cd, zoals een SystemrescueCD 6.0.0 en net zoals hier de root promt te zien krijgt [root@sysresccd ~] # en commando df toont geen output van je harddisk, dan kun je gewoon fsck uitvoeren. Maar dan wel, zoals je in je startpost al deed, met het correcte device van je harddisk.
Heeft dit zin als het mij niet om ‘fsck’  gaat maar om ‘het vernieuwen van e2fsck’ mét succes?
----------   
 
@ Jan10000:
Citaat
Geplaatst door: jan11000
« Gepost op: Vandaag om 09:12:59 »

Probeer met je livecd van je ubuntu versie die je gebruikt, of nieuwere versie.
Boot vanaf deze iso. Start gparted.

Kun je nu alle partities zien , in de pulldown menu, rechts?

Nee.  :'(
Opnieuw de LiveUSB Ubuntu 18.04 LTS gebruikt. Gparted toont 1 schijf/partitie, niet de vele partities die GParted in Ubuntu 16.04 wel toont. Ook niet rechtsboven in menu balk waar wel de boot-USB aangegeven staat.

Het gaat mij erom e2fsck op e.o.a. manier te 'vernieuwen'of  'te laten voltooien'.
GParted levert de error: vernieuwen van e2fsck!

Waarom de weigering van het voltooien van het verniuwen van e2fsck en waarom laat Gparted nog steeds maar 1 partitie zien bij de distro’s hoger dan 16.04 LTS.

Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: e2fsck vernieuwen
« Reactie #16 Gepost op: 2019/02/07, 16:54:28 »
Welke versie van e2fsck staat er op die live? Dit kan je nagaan met in een terminal de opdrachtsudo e2fsck -Vte geven.
Kijk eventueel ook eens welke versie er op de live images van 18.10 staat, normaal 1.44.2. Debian testing (buster) heeft de meest recente: 1.44.5.
Wil je een live versie om deze tools uit te proberen gebruik dan http://releases.ubuntu.com/cosmic/ubuntu-18.10-live-server-amd64.iso. Deze heeft alle command-line tools aan boord die nodig zijn, is slechts 880MB groot en start veel sneller op dan de versies met grafische schil.

Offline Cme

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #17 Gepost op: 2019/02/11, 17:32:50 »
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for gcc... no
checking for cc... no
checking for cl.exe... no

Nu wél Gelukt! ( :D)
~$ e2fsck -V
e2fsck 1.44.5 (15-Dec-2018)
    gebruik makend van EXT2FS Library version 1.44.5, 15-Dec-2018
Wat het installeren deed slagen was : sudo apt-get install gccHartelijk dank voor alle inzet
Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4

Offline Cme

  • Lid
  • Steunpunt: Nee
Re: e2fsck vernieuwen
« Reactie #18 Gepost op: 2019/02/17, 16:39:08 »
Helaas is deze Topic niet helemaal opgelost.  :(
 
e2fsck -V  geeft aan:
cme@cme-U1804:~$ e2fsck -V
e2fsck 1.44.5 (15-Dec-2018)
Synaptic is bijgewerkt, geeft momenteel e2fsprogs 1.44.1 aan.

Ik dacht dat e2fsck te maken heeft met het pakket e2fprogs?
Heel graag jullie inzicht hierover.
BVmD
Lenovo Z710 64amd: Ubuntu 18.04, Ubuntu 16.04.4, XUbuntu 18.04, XUbuntu 16.04.4 en Win 8.1
Samsung 535U 64amd: Ubuntu 16.04.4, XUbuntu 16.04.4